package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class InviteEarnData {

    private int statusCode;
    private String message;
    private int inviteSenderReward;
    private int inviteReceiverReward;
    @SerializedName("userInvitees")
    List<Invitee> inviteeList;

    public InviteEarnData() {
    }

    public InviteEarnData(int statusCode, String message, int inviteSenderReward, int inviteReceiverReward, List<Invitee> inviteeList) {
        this.statusCode = statusCode;
        this.message = message;
        this.inviteSenderReward = inviteSenderReward;
        this.inviteReceiverReward = inviteReceiverReward;
        this.inviteeList = inviteeList;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getInviteSenderReward() {
        return inviteSenderReward;
    }

    public void setInviteSenderReward(int inviteSenderReward) {
        this.inviteSenderReward = inviteSenderReward;
    }

    public int getInviteReceiverReward() {
        return inviteReceiverReward;
    }

    public void setInviteReceiverReward(int inviteReceiverReward) {
        this.inviteReceiverReward = inviteReceiverReward;
    }

    public List<Invitee> getInviteeList() {
        return inviteeList;
    }

    public void setInviteeList(List<Invitee> inviteeList) {
        this.inviteeList = inviteeList;
    }
}
